Project

General

Profile

Bug #74595

Error trying to edit dataset's snapshot directory visibility

Added by Jim Worrall 2 months ago. Updated 11 days ago.

Status:
Closed
Priority:
No priority
Assignee:
Erin Clark
Category:
GUI (new)
Target version:
Severity:
New
Reason for Closing:
Reason for Blocked:
Needs QA:
Yes
Needs Doc:
Yes
Needs Merging:
Yes
Needs Automation:
No
Support Suite Ticket:
n/a
Hardware Configuration:
ChangeLog Required:
No

Description

In the GUI, Storage > Pools > Edit Dataset, I attempted to change the Snapshot Directory setting from invisible to visible. When attempting to Save, an error appeared indicating the save failed. I do not understand the error. See attached screenshot.

Error text:
[EFAULT] Failed to update dataset: size is less than current used or reserved space
More info:
Error: Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/zfs.py", line 303, in do_update
dataset.properties[k] = prop
File "libzfs.pyx", line 370, in libzfs.ZFS.__exit__
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/zfs.py", line 292, in do_update
prop.value = v['value']
File "libzfs.pyx", line 1065, in libzfs.ZFSProperty.value.__set__
libzfs.ZFSException: size is less than current used or reserved space

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 161, in call_method
result = await self.middleware.call_method(self, message)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1109, in call_method
return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1049, in _call
return await methodobj(*args)
File "/usr/local/lib/python3.6/site-packages/middlewared/service.py", line 283, in update
f'{self._config.namespace}.update', self, self.do_update, [id, data]
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1049, in _call
return await methodobj(*args)
File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 664, in nf
return await f(*args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/pool.py", line 757, in do_update
rv = await self.middleware.call('zfs.dataset.update', id, {'properties': props})
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1113, in call
return await self._call(name, serviceobj, methodobj, params, app=app, pipes=pipes, io_thread=True)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1049, in _call
return await methodobj(*args)
File "/usr/local/lib/python3.6/site-packages/middlewared/service.py", line 283, in update
f'{self._config.namespace}.update', self, self.do_update, [id, data]
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1063, in _call
return await run_method(methodobj, *args)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1009, in run_in_thread
return await self.loop.run_in_executor(executor, functools.partial(method, *args, **kwargs))
File "/usr/local/lib/python3.6/concurrent/futures/thread.py", line 56, in run
result = self.fn(*self.args, **self.kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 668, in nf
return f(*args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/zfs.py", line 307, in do_update
raise CallError(f'Failed to update dataset: {e}')
middlewared.service_exception.CallError: [EFAULT] Failed to update dataset: size is less than current used or reserved space

Screen Shot 2019-02-10 at 6.41.00 AM.png (39 KB) Screen Shot 2019-02-10 at 6.41.00 AM.png Error Jim Worrall, 02/10/2019 06:53 AM
edit_database.jpg (191 KB) edit_database.jpg Jim Worrall, 02/11/2019 11:08 AM
53670
53841

Related issues

Related to FreeNAS - Bug #73155: Fix traceback in new UI when editing dataset with reservation or quota containing a decimalDone

History

#1 Updated by Dru Lavigne 2 months ago

  • Assignee changed from Release Council to Erin Clark

#3 Updated by Erin Clark 2 months ago

  • Target version changed from Backlog to N/A

#5 Updated by Erin Clark 2 months ago

  • Target version changed from N/A to Backlog

Would you mind giving me a screenshot of your dataset edit page so I can try to reproduce? I think this may already be fixed in 73155 but I would like to be certain.

#6 Updated by Jim Worrall 2 months ago

53841

Sure, thank you. The entire edit dataset screen doesn't fit at one time, I scrolled down to the snapshot directory visibility control. Attached

#7 Updated by Erin Clark 2 months ago

Alright well I think this is fixed, but I will leave this open for now. Please try updating to the next version when it comes out and see if you are still having this problem and let me know if you are still having it.

#8 Updated by Erin Clark 2 months ago

  • Related to Bug #73155: Fix traceback in new UI when editing dataset with reservation or quota containing a decimal added

#9 Updated by Jaron Parsons 11 days ago

  • Status changed from Unscreened to Closed

Also available in: Atom PDF